Plan Detail
curl --request GET \
--url https://api.unibee.dev/merchant/plan/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.unibee.dev/merchant/plan/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.unibee.dev/merchant/plan/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"plan": {
"addonIds": [
123
],
"addons": [
{
"amount": 123,
"autoChargeConfig": {
"autoChargeLeadTime": 123,
"autoChargeMaxRetryCount": 123,
"autoChargeRetryInterval": 123,
"incompleteExpireTime": 123
},
"autoUpgradePlanId": 123,
"bindingAddonIds": "<string>",
"bindingOnetimeAddonIds": "<string>",
"cancelAtTrialEnd": 123,
"checkoutTemplateId": 123,
"checkoutUrl": "<string>",
"compareAtAmount": 123,
"createTime": 123,
"currency": "<string>",
"description": "<string>",
"disableAutoCharge": 123,
"externalPlanId": "<string>",
"extraMetricData": "<string>",
"gasPayer": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"internalName": "<string>",
"intervalCount": 123,
"intervalUnit": "<string>",
"merchantId": 123,
"metadata": {},
"metricLimits": [
{
"metricId": 123,
"metricLimit": 123
}
],
"metricMeteredCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"metricRecurringCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"multiCurrencies": [
{
"amount": 123,
"autoExchange": true,
"currency": "<string>",
"disable": true,
"exchangeRate": 123,
"fixedAmount": 123
}
],
"multiTrials": [
{
"intervalCount": 123,
"intervalUnit": "<string>",
"metadata": {},
"name": "<string>",
"trialCompareAtPrice": 123,
"trialDuration": 123,
"trialPrice": 123
}
],
"planName": "<string>",
"productId": 123,
"publishStatus": 123,
"status": 123,
"taxPercentage": 123,
"trialAmount": 123,
"trialDemand": "<string>",
"trialDurationTime": 123,
"type": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
}
],
"checkAddressViaGateway": true,
"globalUSVATActive": true,
"metricMeteredCharge": [
{
"metricId": 123,
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"merchantMetric": {
"aggregationProperty": "<string>",
"aggregationType": 123,
"archived": true,
"carryoverProrationEnabled": true,
"code": "<string>",
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"metaData": {},
"metricDescription": "<string>",
"metricName": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
},
"standardAmount": 123,
"standardStartValue": 123
}
],
"metricPlanLimits": [
{
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"merchantMetric": {
"aggregationProperty": "<string>",
"aggregationType": 123,
"archived": true,
"carryoverProrationEnabled": true,
"code": "<string>",
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"metaData": {},
"metricDescription": "<string>",
"metricName": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
},
"metricId": 123,
"metricLimit": 123,
"planId": 123,
"quantity": 123
}
],
"metricRecurringCharge": [
{
"metricId": 123,
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"merchantMetric": {
"aggregationProperty": "<string>",
"aggregationType": 123,
"archived": true,
"carryoverProrationEnabled": true,
"code": "<string>",
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"metaData": {},
"metricDescription": "<string>",
"metricName": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
},
"standardAmount": 123,
"standardStartValue": 123
}
],
"onetimeAddonIds": [
123
],
"onetimeAddons": [
{
"amount": 123,
"autoChargeConfig": {
"autoChargeLeadTime": 123,
"autoChargeMaxRetryCount": 123,
"autoChargeRetryInterval": 123,
"incompleteExpireTime": 123
},
"autoUpgradePlanId": 123,
"bindingAddonIds": "<string>",
"bindingOnetimeAddonIds": "<string>",
"cancelAtTrialEnd": 123,
"checkoutTemplateId": 123,
"checkoutUrl": "<string>",
"compareAtAmount": 123,
"createTime": 123,
"currency": "<string>",
"description": "<string>",
"disableAutoCharge": 123,
"externalPlanId": "<string>",
"extraMetricData": "<string>",
"gasPayer": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"internalName": "<string>",
"intervalCount": 123,
"intervalUnit": "<string>",
"merchantId": 123,
"metadata": {},
"metricLimits": [
{
"metricId": 123,
"metricLimit": 123
}
],
"metricMeteredCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"metricRecurringCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"multiCurrencies": [
{
"amount": 123,
"autoExchange": true,
"currency": "<string>",
"disable": true,
"exchangeRate": 123,
"fixedAmount": 123
}
],
"multiTrials": [
{
"intervalCount": 123,
"intervalUnit": "<string>",
"metadata": {},
"name": "<string>",
"trialCompareAtPrice": 123,
"trialDuration": 123,
"trialPrice": 123
}
],
"planName": "<string>",
"productId": 123,
"publishStatus": 123,
"status": 123,
"taxPercentage": 123,
"trialAmount": 123,
"trialDemand": "<string>",
"trialDurationTime": 123,
"type": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
}
],
"plan": {
"amount": 123,
"autoChargeConfig": {
"autoChargeLeadTime": 123,
"autoChargeMaxRetryCount": 123,
"autoChargeRetryInterval": 123,
"incompleteExpireTime": 123
},
"autoUpgradePlanId": 123,
"bindingAddonIds": "<string>",
"bindingOnetimeAddonIds": "<string>",
"cancelAtTrialEnd": 123,
"checkoutTemplateId": 123,
"checkoutUrl": "<string>",
"compareAtAmount": 123,
"createTime": 123,
"currency": "<string>",
"description": "<string>",
"disableAutoCharge": 123,
"externalPlanId": "<string>",
"extraMetricData": "<string>",
"gasPayer": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"internalName": "<string>",
"intervalCount": 123,
"intervalUnit": "<string>",
"merchantId": 123,
"metadata": {},
"metricLimits": [
{
"metricId": 123,
"metricLimit": 123
}
],
"metricMeteredCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"metricRecurringCharge": [
{
"chargeType": 123,
"graduatedAmounts": [
{
"endValue": 123,
"flatAmount": 123,
"perAmount": 123,
"startValue": 123
}
],
"metricId": 123,
"standardAmount": 123,
"standardStartValue": 123
}
],
"multiCurrencies": [
{
"amount": 123,
"autoExchange": true,
"currency": "<string>",
"disable": true,
"exchangeRate": 123,
"fixedAmount": 123
}
],
"multiTrials": [
{
"intervalCount": 123,
"intervalUnit": "<string>",
"metadata": {},
"name": "<string>",
"trialCompareAtPrice": 123,
"trialDuration": 123,
"trialPrice": 123
}
],
"planName": "<string>",
"productId": 123,
"publishStatus": 123,
"status": 123,
"taxPercentage": 123,
"trialAmount": 123,
"trialDemand": "<string>",
"trialDurationTime": 123,
"type": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
},
"product": {
"createTime": 123,
"description": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"isDeleted": 123,
"merchantId": 123,
"metaData": "<string>",
"productName": "<string>",
"status": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
},
"sellOnUSOnly": true,
"tags": [
{
"bindingCount": 123,
"color": "<string>",
"description": "<string>",
"id": 123,
"merchantId": 123,
"name": "<string>",
"scope": 123,
"sortOrder": 123
}
]
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Plan
Plan Detail
GET
/
merchant
/
plan
/
detail
Plan Detail
Endpoint Overview
GEThttps://api.unibee.dev/merchant/plan/detail
Plan Detail
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
planId | integer | No | The Id of plan, either planId or externalPlanId should be set |
externalPlanId | string | No | The ExternalId of plan, either externalPlanId or planId should be set |
Request examples
cURL
curl -X GET "https://api.unibee.dev/merchant/plan/detail" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Sandbox
curl -X GET "https://api-sandbox.unibee.top/merchant/plan/detail" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json"
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.plan | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The Id of plan, either planId or externalPlanId should be set
The ExternalId of plan, either externalPlanId or planId should be set
⌘I

